/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(_VIEW_DEFINES_H)
#define _VIEW_DEFINES_H

#define EDJ_MAIN "edje/main.edj"
#define GRP_MAIN "main"
#define PART_MAIN_TOOLBAR "toolbar"
#define PART_MAIN_PALETTE "palette"
#define PART_MAIN_DRAW_AREA "draw_area"

#define EDJ_TOOLBAR "edje/toolbar.edj"
#define GRP_TOOLBAR "toolbar"
#define PART_TOOLBAR_BUTTON "toolbar_button_"
#define PART_TOOLBAR_BUTTONS PART_TOOLBAR_BUTTON"*"

#define EDJ_PALETTE "edje/palette.edj"
#define GRP_PALETTE "palette"
#define PART_PALETTE_TAB "palette_tab"
#define PART_PALETTE_TABS PART_PALETTE_TAB"*"
#define PART_PALETTE_TAB_PEN PART_PALETTE_TAB"_pen"
#define PART_PALETTE_TAB_FILL PART_PALETTE_TAB"_fill"
#define PART_PALETTE_TAB_BACKGROUND PART_PALETTE_TAB"_background"

#define EDJ_DRAW_AREA "edje/draw_area.edj"
#define GRP_DRAW_AREA "draw_area"

#define MSG_ID_PALETTE 1
#define MSG_ID_COLOR_SELECT 2
#define MSG_ID_COLOR_SELECTED 3
#define MSG_ID_COLOR_BG_SET 4

#define SIGNAL_TOOLBAR_BUTTON_CLICKED "signal,toolbar,button,clicked"
#define SIGNAL_PALETTE_TAB_CLICKED "signal,palette,tab,clicked"
#define SIGNAL_PALETTE_CELL_CLICKED "signal,palette,cell,clicked"

#endif
